EDIT - feature request #9888

Implement RIS import for book sections
11/29/2021 03:31 PM - Andreas Muller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmadapter Estimated time: 0:00 hour
Target version: Release 5.29

Severity: normal

Description

Hallo Andreas,

der RIS-Import von Artikeln und Blchern funktioniert jetzt. Das Einzige, was nicht funktioniert, ist der Import von Book Sections, das
war aber vorher auch schon so. Der Buchtitel und die Editors werden nicht importiert.

Ich schicke dir mal ein Beispiel (RIS im Anhang)

Arias S., Gama-Lépez S., Guzman-Cruz L. U. & Vazquez-Benitez B. 2012: Cactaceae. — Pp. 1-235 In: Medina L. R. (ed.), Flora del
Valle de Tehuacan-Cuicatlan. Fasciculo 95. — México D. F.: Instituto de Biologia, Universidad Nacional Autbnoma de México.

Nach dem Import sieht das so aus

Warnings:

RIS tag A2 (Secondary Author) not yet handled. n = 1[doInvoke(eu.etaxonomy.cdm.io.reference.ris.in.RisReferencelmport:97)]

~ Reference: Arias, 5., Gama-Lépez, 5., Guzman-Cruz, L.U. &
Vizquez-Benitez, B. 2012: Cactaceae, pp. 1-235. = In:

Reference Cache 3

Nomencl. Cache 1

Reference Type  pagk Section -

Title
Cactaceae

Nomencl. Title

Author Arias, 5., Gama-Ldpez, 5., Guzman- =16 ETD
Cruz, L.U. & Vazquez-Benitez, B. =

Book Reference [type=Book, id= 0, ['ITD
uuid=db3d6c18-1b61-486a-bd1a- —
fcBBf7d0582d]

Pages 1-235

Date Published b 2012

URI ]

Und wenn man das Buch auswéhlt, ist dort nur Verlag und Ort importiert.
Reference

Reference Cache
Nomencl. Cache

Reference Type Book [ -]
Title

Nomencl. Title
Author

F
) E

In Series

3,
3

f
3

Editor

Edition

ISBN

Place Published  México D. F.

Publisher Instituto de Biologia, Universidad Nacional Auténoma de México
Volume

Series

Pages

Das passiert offensichtlich auch dann, wenn es das Buch in der Datenbank schon gibt.

Schau dir das mal bei Gelegenheit an. Es wére gut, wenn Buchkapitel auch direkt importiert werden kdnnten, das braucht man ja viel
bei Floren-Treatments.

Viele GruBe

Nadja

Related issues:

Related to EDIT - feature request #9809: Implement further tags for RIS refer... New
Related to EDIT - feature request #9786: Implement tags CY and fix PY handlin... Closed
Copied to EDIT - feature request #9889: Implement deduplication for RIS import Closed

Associated revisions

Revision 8e53bbac - 11/29/2021 11:14 PM - Andreas Miiller
ref #9888 add book section handling to RIS import

History

#1 - 11/29/2021 03:33 PM - Andreas Miiller
- File Arias2012.txt added

Example see attachement.

#2 - 11/29/2021 03:35 PM - Andreas Miiller

- Related to feature request #9809: Implement further tags for RIS reference import added

#3 - 11/29/2021 03:35 PM - Andreas Miiller
- Related to feature request #9786: Implement tags CY and fix PY handling for RIS import added

#4 - 11/29/2021 11:18 PM - Andreas Miiller
- Status changed from New to Resolved

- Priority changed from New to Highest

- % Done changed from 0 to 50

This should be fixed except for deduplication which is handled in #9889

#5 - 11/29/2021 11:19 PM - Andreas Miiller
- Copied to feature request #9889: Implement deduplication for RIS import added
https://dev.e-taxonomy.eu/redmine/issues/9889

#6 - 12/02/2021 04:38 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

Also deduplication is implemented now.

#7 - 02/15/2022 03:40 PM - Andreas Miller

- Target version changed from Release 5.45 to Release 5.29

Files

picture031-1.png 84.7 KB 11/29/2021 Andreas Miller
picture031-2.png 53.8 KB 11/29/2021 Andreas Muller
Arias2012.txt 375 Bytes 11/29/2021 Andreas Miller
